unit About;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ShellApi;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Copyright: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    procedure UrlMailClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.dfm}

procedure TAboutBox.UrlMailClick(Sender: TObject);
//open label's hint text as URL
begin
 If (Sender is TLabel) then
  with (Sender as Tlabel) do
    ShellExecute(Application.Handle,
                   PChar('open'),
                   PChar(Hint),
                   PChar(0),
                   nil,
                   SW_NORMAL);
 end;


procedure TAboutBox.FormCreate(Sender: TObject);
begin
//use the application's icon as image
  ProgramIcon.Picture.Icon := Application.Icon;
end;

end.

